/***************************************************************************
                   Work Class Header ( Work.h )
                -----------------------------------------

	begin      : 2013/07/04
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/07/04 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __WORK_H__
#define __WORK_H__

#include "BaseSocket.h"

class CWorkFile
{
public:
	CWorkFile();
	CWorkFile(string & path);
	virtual ~CWorkFile();

	void	DeleteWorkFile();
	bool	ReadWorkFile(string & data);
private:
	string	m_path;
};

class CWorkSocket : public CBaseSocket
{
public:
	CWorkSocket();
	CWorkSocket(const int & sfd);
	virtual ~CWorkSocket();	

	int SetOption();

	ssize_t ReadHead(int & bodysize);
	ssize_t ReadBody(string & data);
};

#endif // __WORK_H__
